Skip to main content

Get session analytics

GET 

/v2/sessions/analytics

Returns parking analytics data based on the provided filters.


Metrics (metric filter)​

MetricDescription
entry_countThe total number of vehicles that entered over a given period
exit_countThe total number of vehicles that exited over a given period
peak_entry_timeThe hour of the day (0–23) with the highest number of vehicle entries
peak_exit_timeThe hour of the day (0–23) with the highest number of vehicle exits

Scopes (scope filter)​

ScopeDescriptionID filter
lotAggregates data per parking lotlot_ids
zoneAggregates data per zone within a lotzone_ids
(none)No scope provided — returns a single aggregated result across all matched entities—

Intervals (interval filter)​

IntervalDescriptionResponse shape
(none)No interval — returns a single cumulative valuenumber
hourBreaks data down by hour of the daynumber[] with 24 values (index 0 = midnight, 23 = 11PM)
dayBreaks data down by day of the weeknumber[] with 7 values (index 0 = Sunday, 6 = Saturday)
monthBreaks data down by month of the yearnumber[] with 12 values (index 0 = January, 11 = December)

Note: peak_entry_time and peak_exit_time does not support intervals — it always returns a single number | null value regardless of the interval filter.

Request​

Responses​

Returns analytics data based on the provided filters.